package com.bonus.canteen.core.order.common.constants;


import com.bonus.canteen.core.common.utils.TenantContextHolder;

public class OrderCacheConstants {
   public static final Long TWENTY_FOUR_HOURS = 86400L;
   public static final Integer TWO_SECONDS = 2;
   public static final Integer MOBILE_PAY_INTERVAL = 3;
   public static final Long INVENTORY_CACHE_SECONDS = 3600L;
   public static final Long WEIGHT_CACHE_SECONDS = 14400L;
   public static final Long CALL_CACHE_SECONDS = 300L;

   public static String getOrderAmountChangeKey(Long tradeId) {
      Long var10000 = TenantContextHolder.getTenantId();
      return "yst:" + var10000 + ":order:amount:change:" + tradeId;
   }

   public static String mobileShopInventoryLockKey(Long supermarketId) {
      Long var10000 = TenantContextHolder.getTenantId();
      return "yst:" + var10000 + ":order:mobileShopInventoryLock:" + supermarketId;
   }

   public static String mobileShopInventoryCacheKey(Long orderId) {
      Long var10000 = TenantContextHolder.getTenantId();
      return "yst:" + var10000 + ":order:mobileShopInventoryCache:" + orderId;
   }

   public static String orderSubmitRepeatKey(String repeatedId) {
      Long var10000 = TenantContextHolder.getTenantId();
      return "yst:" + var10000 + ":order:repeated:" + repeatedId;
   }

   public static String orderHandleLockKey(String lockId) {
      Long var10000 = TenantContextHolder.getTenantId();
      return "yst:" + var10000 + ":order:handle:" + lockId;
   }

   public static String weightOrderHandleLockKey(String lockId) {
      Long var10000 = TenantContextHolder.getTenantId();
      return "yst:" + var10000 + ":order:weight-handle:" + lockId;
   }

   public static String orderCacheKey(String macOrderId) {
      Long var10000 = TenantContextHolder.getTenantId();
      return "yst:" + var10000 + ":order:weight:" + macOrderId;
   }

   public static String orderCacheSaveLockKey(String macOrderId) {
      Long var10000 = TenantContextHolder.getTenantId();
      return "yst:" + var10000 + ":order:weight-save:" + macOrderId;
   }

   public static String orderAsyncPayResultLockKey(String macOrderId) {
      Long var10000 = TenantContextHolder.getTenantId();
      return "yst:" + var10000 + ":order:async-pay-result:" + macOrderId;
   }

   public static String payQueryKey(Long tradeId) {
      Long var10000 = TenantContextHolder.getTenantId();
      return "yst:" + var10000 + ":order:pay-query:" + tradeId;
   }

   public static String payQueryTimesKey(Long tradeId) {
      Long var10000 = TenantContextHolder.getTenantId();
      return "yst:" + var10000 + ":order:pay-query-times:" + tradeId;
   }

   public static String orderCallHandleLockKey(Long orderId) {
      Long var10000 = TenantContextHolder.getTenantId();
      return "yst:" + var10000 + ":order:call-handle:" + orderId;
   }

   public static String orderMakingPartCompleteCacheKey(Long orderId) {
      Long var10000 = TenantContextHolder.getTenantId();
      return "yst:" + var10000 + ":order:making-part-complete:" + orderId;
   }

   public static String orderCallCacheKey(Long stallId, Integer mealtimeType) {
      return "yst:" + TenantContextHolder.getTenantId() + ":order:call:" + stallId + ":" + mealtimeType;
   }

   public static String orderCallCacheLockKey(Long stallId, Integer mealtimeType) {
      return "yst:" + TenantContextHolder.getTenantId() + ":order:call-lock:" + stallId + ":" + mealtimeType;
   }

   public static String shoppingCartLockKey(Long custId) {
      Long var10000 = TenantContextHolder.getTenantId();
      return "yst:" + var10000 + ":order:shopping-cart:" + custId;
   }

   public static String orderExportLockKey() {
      return "yst:" + TenantContextHolder.getTenantId() + ":order:export-lock";
   }
}
